Skip to main content
GET
/
api
/
v1
/
apps
List Apps
curl --request GET \
  --url https://backend.revyl.ai/api/v1/apps/ \
  --header 'Authorization: Bearer <token>'
{
  "total": 123,
  "page": 123,
  "page_size": 123,
  "total_pages": 123,
  "has_next": true,
  "has_previous": true,
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "platform": "<string>",
      "static_url": "<string>",
      "current_version": "<string>",
      "description": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "latest_version": "<string>",
      "versions_count": 0
    }
  ],
  "platform_counts": {
    "total": 0,
    "ios": 0,
    "android": 0
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

platform
string | null

Filter by platform

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:50

Number of items per page (max 500)

Required range: 1 <= x <= 500
search
string | null

Search by app name

Response

Successful Response

Paginated response for apps.

total
integer
required

Total number of apps

page
integer
required

Current page number (1-indexed)

page_size
integer
required

Number of items per page

total_pages
integer
required

Total number of pages

has_next
boolean
required

Whether there is a next page

has_previous
boolean
required

Whether there is a previous page

items
AppResponse · object[]

List of apps for the current page

platform_counts
AppPlatformCounts · object

Unfiltered per-platform counts